/*
 *
 *  MULti Core Operating System - MultiLayer Kernel (MULCOS-M)
 *
 *               Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name   typedef.h
 *
 *  May/15/2024 Created.
 *
 */


#ifndef TYPEDEF_H
#define TYPEDEF_H


/*
 *      Reconfigurations of data type
 */

#if !defined(_LINUX_TYPES_H)
typedef unsigned long long      uint64_t;
typedef unsigned long           uint32_t;
typedef unsigned short          uint16_t;
typedef unsigned char           uint8_t;
#endif

#if !defined(__int8_t_defined) & !defined(_LINUX_TYPES_H)
typedef signed long long        int64_t;
typedef signed long             int32_t;
typedef signed short            int16_t;
typedef signed char             int8_t;
#endif

typedef int32_t                 RTCODE;
typedef uint32_t                addr_t;
typedef uint32_t                sz_t;
typedef uint32_t                vp_t;

#endif
